# Chronicles of Reg

## The Interactive Fictions

- Mystery of the Missing Wand - A tale where you help Reg, the Good Werewolf get his missing wand.
- Reg and the Kidnapped Fairy - A tale where you are Reg looking for the kidnapped good fairy.

## The Environment

You'll need to define the following environment variables somehow (either globally or local to user or whatever).

```
IF # root of where you have all the interactive fiction tools stuff
INFORM # Inform toolchain's home path
INFORM7 # The path to the executable for inform7
INFORM6 # The path to the executable for inform6
INBLORB # The path to the executable for inblorb
```

### Tools Installed

- Python 3 (I'm being opinionated here!)
- [Graham Nelson's Inform 7 toolchain](https://github.com/ganelson/inform)
- [blorbtool.py](https://github.com/erkyrath/glk-dev/blob/master/blorbtool.py)
- web.sh (included in template and needs to be in the IF path as specified)

### For VSCode users unwilling to make global settings changes

I have included the settings.json with necessary changes for allowing VSCode to use tab indention but only for Inform 7 and can be included in your global settings.
