"Reg and the Kidnapped Fairy" by "William and Olivia BE Moore".

[ Copyright (C) 2022 William R. Moore <william@nerderium.com> and Olivia BE Moore

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 3 of the License.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program. If not, see <https://www.gnu.org/licenses/>. ]

Chapter 0 - Game Setup

The story description is "Can Reg find the kidnapped fairy?".
The story headline is "An interactive fiction starring Reg, the Good Werewolf".
The release number is 1.
Release along with cover art, interpreter, library card, and source text.
Include 1PD6 Kidnapped Fairy Setting by William Moore.

Asking someone about something is speech. Telling someone about something is speech. Answering someone that something is speech. Asking someone for something is speech.
The block giving rule is not listed in the check giving it to rules.

Gorilla Beaten is a truth state that varies.
Statue Touched is a truth state that varies.
Clean tacos is a truth state that varies.

Chapter 1 - Figures

Figure of Reg is the file "reg-werewolf.jpg".
Figure of Skeleton is the file "dancing-skeletons.jpg".
Figure of Gorilla is the file "gorilla.jpg".
Figure of Bad Fairy is the file "badfairy.jpg".

Chapter 2 - Persons

[ Reg's Family ]
Penelope is a woman. The description is "Penelope is a smart and beautiful woman who just happens to be Reg's human wife.".
Bareilley is a man. The description is "Bareilley is Reg's oldest child. Despite being 12, he has a very deep voice and mumbles his words.".
Sparkle is a woman. The description is "Sparkle is Reg's youngest child. Even though she is 4, she is very capable.".

[ Monsters ]
A monster is a kind of person.
Dancing skeletons 1 is a monster. They are in Graveyard Southwest. The printed name is "Dancing skeletons". The health of the dancing skeletons 1 is 5. The experience of dancing skeletons 1 is 1. The description is "The skinless creatures that have scary, grinning faces, which frightens you to the core, are dancing around.".
Dancing skeletons 2 is a monster. They are in Graveyard South. The printed name is "Dancing skeletons". The health of the dancing skeletons 2 is 5. The experience of dancing skeletons 2 is 1. The description is "The skinless creatures that have scary, grinning faces, which frightens you to the core, are dancing around.".
Dancing skeletons 3 is a monster. They are in Graveyard Southeast. The printed name is "Dancing skeletons". The health of the dancing skeletons 3 is 5. The experience of dancing skeletons 3 is 1. The description is "The skinless creatures that have scary, grinning faces, which frightens you to the core, are dancing around.".
Dancing skeletons 4 is a monster. They are in Graveyard East. The printed name is "Dancing skeletons". The health of the dancing skeletons 4 is 5. The experience of dancing skeletons 4 is 1. The description is "The skinless creatures that have scary, grinning faces, which frightens you to the core, are dancing around.".
Dancing skeletons 5 is a monster. They are in Graveyard Northeast. The printed name is "Dancing skeletons". The health of the dancing skeletons 5 is 5. The experience of dancing skeletons 5 is 1. The description is "The skinless creatures that have scary, grinning faces, which frightens you to the core, are dancing around.".
Dancing skeletons 6 is a monster. They are in Graveyard North. The printed name is "Dancing skeletons". The health of the dancing skeletons 6 is 5. The experience of dancing skeletons 6 is 1. The description is "The skinless creatures that have scary, grinning faces, which frightens you to the core, are dancing around.".
Dancing skeletons 7 is a monster. They are in Graveyard Northwest. The printed name is "Dancing skeletons". The health of the dancing skeletons 7 is 5. The experience of dancing skeletons 7 is 1. The description is "The skinless creatures that have scary, grinning faces, which frightens you to the core, are dancing around.".
Dancing skeletons 8 is a monster. They are in Graveyard West. The printed name is "Dancing skeletons". The health of the dancing skeletons 8 is 5. The experience of dancing skeletons 8 is 1. The description is "The skinless creatures that have scary, grinning faces, which frightens you to the core, are dancing around.".
100 ft tall undead gorilla is a monster. The health of the 100 ft tall undead gorilla is 15. The strength of the undead gorilla is 1. The defense of the undead gorilla is 1. The experience of the undead gorilla is 50. The description is "Before you is a 100 foot undead gorilla with no pupils and just white eyes! You don't know how it got here and it is blood-chilling to look at the undead face.".
bad fairy is a monster. It is in Bad Fairy's Lair. The health of bad fairy is 10. The defense of the bad fairy is 4. The strength of the bad fairy is 2. The experience of the bad fairy is 1000. The description is "The beautiful fairy flies about aggressively."

Chapter 3 - Places

Bad Fairy's Lair is a room. The description is "The bad fairy's lair is poorly lit and very smelly. All around the walls are good fairies trapped in cages.".

[ Reg's House ]
Reg's Front Yard is a room. The description is "All kinds of people are going around. There are skinny people and there are fat people. There are people of different colors of skin.".
Reg's House Living Room is a room. It is below Reg's House Upstairs. It is north of Reg's House Kitchen. The description is "The living room of Reg's House is very clean and large. The kitchen is to the south. There are stairs leading up.".
Reg's House Kitchen is a room. The description is "The lightly-colored, hardwood floor, the white, wooden cabinets, and granite countertop just simply sparkles despite being in an area primarily used in the preparation of messy foods.".
Reg's House Upstairs is room. The description is "The upstairs has three doors: one north, one west, and one east."
Bareilley's Bedroom is a room. It is north of Reg's House Upstairs. The description is "The room is an utter nightmare of heavy metal CDs and role-playing game stuff. Be careful where you walk!".
Reg's Bedoom is a room. It is west of Reg's House Upstairs. The description is "The bedroom is tidy and orderly with lace curtains on both windows that face outside. The bed looks like it is always made and ready to sleep in.".
Sparkle's Bedoom is a room. It is east of Reg's House Upstairs. The description is "The bedroom is full of stuffed animals, pink bunny toys, and many girl's things. The window has fancy, pink curtains on it.".

[ Graveyard ]
Graveyard Entrance is a room. The description is "You stand before the gates of a graveyard in . It is midnight. The only light available is that of a gibbous moon. The graveyard stretches north of you."
Graveyard Southwest is a room. The printed name is " Graveyard". It is northwest of Graveyard Entrance. The description is "The rows and rows of headstones when combined with the night sky make for eerie decor. You feel that something is there watching you amongst the headstones, but nobody is there.".
Graveyard South is a room. The printed name is " Graveyard". It is north of Graveyard Entrance. It is east of Graveyard Southwest. The description is "The rows and rows of headstones when combined with the night sky make for eerie decor. You feel that something is there watching you amongst the headstones, but nobody is there.".
Graveyard Southeast is a room. The printed name is " Graveyard". It is northeast of Graveyard Entrance. It is east of Graveyard South. The description is "The rows and rows of headstones when combined with the night sky make for eerie decor. You feel that something is there watching you amongst the headstones, but nobody is there.".
Graveyard East is a room. The printed name is " Graveyard". It is north of Graveyard Southeast. The description is "The rows and rows of headstones when combined with the night sky make for eerie decor. You feel that something is there watching you amongst the headstones, but nobody is there.".
Graveyard Northeast is a room. The printed name is " Graveyard". It is north of Graveyard East. The description is "The rows and rows of headstones when combined with the night sky make for eerie decor. You feel that something is there watching you amongst the headstones, but nobody is there.".
Graveyard North is a room. The printed name is " Graveyard". It is west of Graveyard Northeast. The description is "The rows and rows of headstones when combined with the night sky make for eerie decor. You feel that something is there watching you amongst the headstones, but nobody is there.".
Graveyard Northwest is a room. The printed name is " Graveyard". It is west of Graveyard North. The description is "The rows and rows of headstones when combined with the night sky make for eerie decor. You feel that something is there watching you amongst the headstones, but nobody is there.".
Graveyard West is a room. The printed name is " Graveyard". It is south of Graveyard Northwest. It is north of Graveyard Southwest. The description is "The rows and rows of headstones when combined with the night sky make for eerie decor. You feel that something is there watching you amongst the headstones, but nobody is there.".
Graveyard Center is a room. The printed name is " Graveyard". It is northeast of Graveyard Southwest. It is north of Graveyard South. It is northwest of Graveyard Southeast. It is west of Graveyard East. It is southwest of Graveyard Northeast. It is south of Graveyard North. It is southeast of Graveyard Northwest. It is east of Graveyard West. The description is "The graveyard clears out a little of headstones and before you is a scary statue of a devil dog on a large stand. The rest of the graveyard stretches before you in all directions."

Chapter 4 - Things

Reg's Front Door is a door. It is north of Reg's Living Room. It is south of Reg's Front Yard.
The golden earrings is a thing. It is wearable. The description is "These golden earings, when worn, look like they could stop a boogeyman from hurting you.".
A taco is a thing. It is edible. The description is "This taco has just the right amount of all the ingredients. In fact, it just might be most perfect taco. It looks delicious.".
Taco medicine is a thing. It is edible. The description is "This taco medicine keeps away the dirty, stinky taco farts.".
Reg's Family SUV is a vehicle. It is in Reg's Front Yard. The description is "The SUV is grey and very stylish. It is made by Floyota.".
devil dog statue is a thing. It is fixed in place. It is in Graveyard Center. The description is "It is a statue of a bulldog with a wide open mouth full of sharp pointed teeth and devil horns on top of the head. Despite being really scary, you cann't resist wanting to touch it.".

TV is a thing. It is fixed in place. It is in Reg's House Living Room. The description is "A flat screen QLED TV with black trim. It is fixed onto the wall.".

Chapter 5 - Actions

Table of Help Commands
command	description
"north"	"Move north"
"south"	"Move south"
"east"	"Move east"
"west"	"Move west"
"northeast"	"Move northeast"
"northwest"	"Move northwest"
"southeast"	"Move southeast"
"southwest"	"Move southwest"
"up"	"Move up"
"down"	"Move down"
"look"	"Looks around at current location"
"save"	"Save state to a file"
"restore"	"Restores a saved state"
"restart"	"Restarts the game"
"verbose"	"Gives full description after each command"
"score"	"Displays score and ranking"
"diagnostic"	"Give description of health"
"brief"	"Give a description upon first entering an area"
"superbrief"	"Never describe an area"
"quit"	"Quit game"
"climb"	"Climbs (up)"
"g"	"Redo last command"
"go (direction)"	"Go towards direction (west/east/north/south/in/out/into)"
"enter"	"In to the place"
"in"	"Go into something"
"out"	"Go out of the place"
"hi/hello"	"Say hello"
"get/take (item)"	"Removes item from current room and places it in your inventory"
"get/take all"	"Takes all takeable objects in room"
"throw (item) at (location)"	"Throws the item at something"
"open (container)"	"Opens the container, whether it is in the room or your inventory"
"open (exit)"	"Opens the exit for travel"
"read (item)"	"Reads what is written on readable item"
"drop (item)"	"Removes item from inventory and places it in current room"
"put (item) in (container)"	"Removes item from inventory and places it in container"
"turn (control) with (item)"	"Attempts to operate the control with the item"
"turn on (item)"	"Turns on the item"
"turn off (item)"	"Turns the item off"
"move (object)"	"Moves a large object that cannot be picked up"
"attack (creature) with (item)"	"Attacks creature with the item"
"examine (object)"	"Examines, or looks, at an object or item or location"
"inventory"	"Shows contents of the inventory"
"eat"	"Eats item (specifically food)"
"shout"	"Shout it out (shout it out loud)"
"close (Door)"	"Closes door"
"tie (item) to (object)"	"Ties item to object"
"pick (item)"	"Take/get item"
"kill self with (weapon)"	"Humorously commits suicide"
"break (item) with (item)"	"Breaks item"
"kill (creature) with (item)"	"Attacks creature with the item"
"drink"	"Drink an item"
"smell"	"Smell an item"
"cut (object/item) with (weapon)"	"Comment: Strange concept, cutting the (object/item). If (object/item)=self then you commit suicide"
"listen (target)"	"Listens to a creature or an item"
"slap (target)"	"Slap the target viciously."
"poke (target)"	"Poke a target."
"use (thing) on (other thing)"	"Use an object on a thing."
"stat"	"Display your stats"
"reroll"	"Reroll your stats if in Poorly Lit Room."
"buy (strength, defense, hp, or die)"	"Purchase an attribute with experience."
"punch (something)"	"Punch a thing and try to send it to space."

Understand "help" as helping. Helping is an action applying to nothing.

After helping:
	say "You like help? Here we go!:[paragraph break]";
	repeat through Table of Help Commands:
		say "[bold type][command entry][roman type]: [description entry][line break]".

Table of Television Responses
Response
"Where's Waldo? He's 5 foot 10 inches with a red and white striped shirt, red and white striped hat, propensity to hide. Please, let us know. His family misses him."
"Corey Corem has put out his latest album containing all new classics. You can find 'It's a Plea Bargain, Baby!' is available on all your favorite streaming platforms and local stores."
"And that, folks, was the latest trailer for 'Hands Off My Burrito!', the lastest film in the Billy Davis Cinematic Universe. Well, it was exactly what I expected. Let's just say!"
"The ex-wife of Firenze Prumt was found dead today in an apparent suicide while falling down the stairs. This comes days after said she has dirt on his activities many have claimed are illegal in nature."
"Enjoy the newest, hippest, greatest chip in town: Mumford Chips. Mumford Chips: the chips that make you...gruuuuuuunt! Made by S.C. Johnson Wax."
"Drink Pepso! The only drink made with real pepsin!"

After examining TV:
	let rr be a random number from 1 to number of rows in Table of Television Responses;
	say "The TV says '[Response in row rr of Table of Television Responses]'".

After eating taco medicine:
	now clean tacos is true;
	continue the action.

Instead of eating taco while clean tacos is false:
	say "You eat the taco. However, you did not take the taco medicine, so you let out a dirty, stinky taco fart.".

After eating taco:
	now the damage of the player is 0;
	continue the action.

Before examining the player:
	display the Figure of Reg.

Before examining the 100 ft tall undead gorilla:
	display the Figure of Gorilla.

Before examining dancing skeletons:
	display the Figure of Skeleton.

Before examining bad fairy:
	display the Figure of Bad Fairy.

Understand "use [something preferably held] on [something]" as using on. Using on is an action applying to one visible thing and one visible thing.

Understand "slap [something]" as slapping. Slapping is an action applying to one visible thing.
Carry out slapping when the noun is a person:
	say "You viciously slap [the noun]!".

Understand "poke [something]" as poking. Poking is an action applying to one visible thing.
Carry out poking when the noun is a person:
	say "You poke [the noun]."

Before reading a command:
	let N be "[the player's command]";
	if N is "take over kingdom",
		say "What kingdom, you dumple!?";
	if N is "take over world",
		say "Sorry, Brain!".

Chapter 6 - The Game

The player is in Reg's Front Yard.

Before going to a room (called new room) while Gorilla Beaten is true:
	move Penelope to new room;
	move Bareilley to new room;
	move Sparkle to new room.

Act I Scene 1 is a scene. Act I Scene 1 begins when play begins. Act I Scene 1 ends when Gorilla Beaten is true.

When Act I Scene 1 begins:
	move taco medicine to the location of the player;
	try silently taking taco medicine.

After looking when location of the player is Reg's Front Yard and the health of the undead gorilla > the damage of the undead gorilla:
	say "Reg gasps as all of a sudden, a 100ft tall undead gorilla comes running on all fours from the distance. It looks angry.";
	say "'Land's sake! Would you look at that undead gorilla? It has to be at least 100 feet tall. I should punch it into space!'";
	move the undead gorilla to location of the player.

Every turn during Act I Scene 1:
	if Gorilla Beaten is false and the damage of undead gorilla >= the health of undead gorilla:
		say "And the neighborhood cheered Reg because the undead gorilla had destroyed their homes on the way over.";
		now Gorilla Beaten is true.

 Act II Scene 1 is a scene. Act II Scene 1 begins when Act I Scene 1 ends. Act II Scene 1 ends when Statue Touched is true.

When Act II Scene 1 begins:
	say "Reg looks around and says 'Well, that was weird. Anyhow, all these people are wonderful to see! It is nice to see all the different kinds of people around here. However, I should really check on my family inside the house.'";
	say "Just as Reg was about to enter his home, a small fairy crashed into him. She looked scared.";
	say "She looked at Reg and squeaked 'Sorry, mister, but I was trying to get away from the bad fairy. She is trying to kidnap all the good fairies and make them clean her house and her house is always dirty!'";
	say "'Oh no', shouted Reg, 'I need to do something about this immediately! But not after I take my taco medicine and eat some tacos.'";
	move taco to the location of the player;
	try silently taking taco;
	move player to Reg's Living Room;
	say "As Reg enters his house, Sparkle runs up, says 'Daaaaaady!', and gives him a big hug!";
	say "Reg says 'If there was an undead gorilla here, that means we need to go to the graveyard and find out what's happening there, too.'";
	say "Sparkle cries and says 'I d-d-d-d-don't like g-g-g-g-graveyards!'";
	say "Reg kneels down and kisses Sparkle. 'Don't worry. I'll be there to punch them into outer space.'";
	move the player to Graveyard Entrance.


Carry out touching when the noun is devil dog statue:
	now Statue Touched is true.

Act II Scene 2 is a scene. Act II Scene 2 begins when Act II Scene 1 ends. Act II Scene 2 ends when the damage of the bad fairy >= health of the bad fairy.

When Act II Scene 2 begins:
	move the player to Bad Fairy's Lair;
	say "You touch the devil dog statue and it slides open to reveal a staircase. You and your family walk down the dark staircase.";
	say "You all wander around for what seems like hours. Finally, you reach the bottom of the stairs. You see light in the distance at the bottom of the stairs. You and your family walk to the light and see the bad fairy!";
	say "The bad fairy glares at you all and says 'How dare you come into my dungeon?'";
	say "Everywhere there are good fairies trapped in cages.";
	say "You say 'Let these fairies go or else I'll punch you into space!'";
	say "The bad fairy laughs and laughs and says 'You can't do that because you are too weak to do that.'".

Act III is a scene. Act III begins when Act II Scene 2 ends.

When Act III begins:
	say "Sparkle finds a spare key and unlocks all the cages, setting the fairies free! All the fairies cheer and clap for You and your family.";
	say "You and your family get back into your family SUV and drive home. You all sit down and eat dinner and watch TV. Then, you all went to bed";
	end the story.